View Issue Details

IDProjectCategoryView StatusLast Update
00305102.x IDE BugsCode EditorPublic2019-02-27 14:53
ReporterStewart BishopAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030510: Code Editor: Regions are offset by at least one line from where start/end is expected
DescriptionUsing regions in the code editor, if you put #region the actual region now starts on the following line. The #endregion line has always closed on the next line, but now closes two lines down. This can cause problems if the #endregion line is the last line in your code, as the code editor won't see this as a valid region.

You can see all three parts to this issue in the attached screenshot.
Steps To Reproduce1) Start GMS2 and open/create any GML project.
2. Add some regions of your choice, or Add Existing the attached .gml file (in the rar file, as Mantis doesn't allow tiny 0kb files to be attached).
3. Observe the regions are offset, as shown in the screenshot.
Repro: 100%
TagsIDE
2.x IDE Found In2.2.2.393
2.x Runtime Found In2.2.2.308
2.x IDE Verified In2.2.2.396
2.x Runtime Verified In2.2.2.331

Activities

Dan

2019-02-18 16:32

Adminstrator  

Dan

2019-02-18 16:35

Adminstrator  

RegionsAreOffset.rar (17,218 bytes)

Russell Kay

2019-02-20 13:33

Manager   ~0063265

Fixed in gitlab

Dan

2019-02-22 10:48

Adminstrator   ~0063286

IDE 394+

Scott Dunbar

2019-02-27 14:53

Adminstrator   ~0063367

Verified fixed. Closing

IDE: 2.2.2.396 Runtime: 2.2.2.331